Bug 974982 - make rhevm-config to set TZ
Summary: make rhevm-config to set TZ
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.3.0
Assignee: Martin Betak
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks: 984945
TreeView+ depends on / blocked
 
Reported: 2013-06-17 10:11 UTC by Jiri Belka
Modified: 2018-12-03 19:05 UTC (History)
13 users (show)

Fixed In Version: is3
Doc Type: Bug Fix
Doc Text:
Previously, it was not possible to set the engine time zone using engine-config. With this update, engine-config can now be used to configure the time zone via two keys: DefaultWindowsTimeZone for Windows virtual machines, and DefaultGeneralTimeZone for all other virtual machines.
Clone Of:
: 984945 (view as bug list)
Environment:
Last Closed: 2014-01-21 17:27:38 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 451253 0 None None None Never
Red Hat Product Errata RHSA-2014:0038 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 22:03:06 UTC
oVirt gerrit 15882 0 None None None Never

Description Jiri Belka 2013-06-17 10:11:27 UTC
Description of problem:
BZ972739 introduced/correct TZ handling but one cannot define it via rhevm-config without editing engine.properties.

Version-Release number of selected component (if applicable):
sf18

How reproducible:
100%

Steps to Reproduce:
1. rhevm-config -s DefaultWindowsTimeZone="Israel Standard Time"
2.
3.

Actual results:
not possible, rhevm-config does not know the key

Expected results:
push it to engine.properties so rhevm-config can be used to override value for TZs

Additional info:

Comment 1 Michal Skrivanek 2013-06-19 09:18:32 UTC
trivial. And better be backported to 3.2.z

Comment 3 Jiri Belka 2013-06-28 08:37:27 UTC
Ok, is3, included in /etc/ovirt-engine/engine-config/engine-config.properties

Comment 5 Jaison Raju 2013-10-15 11:17:56 UTC
Hello team ,

I do not find the UI consistently showing the right value . 
(For rhevm-3.2.3-0.43.el6ev.noarch )
For example:
#  rhevm-config -s DefaultWindowsTimeZone="Israel Standard Time"
#  rhevm-config -s DefaultGeneralTimeZone="Israel Standard Time"
# engine-service restart
I notice in New VM window , for Unassigned vms 'default:null' &
for windows vm , it show the right tz 'default: (GMT+02:00)......'

Although in many other scenarios , both Unassigned as well as windows
VMs do not show the right timezone .

For example :
rhevm-config -s DefaultWindowsTimeZone="Central European Time"
# rhevm-config -s DefaultGeneralTimeZone="Central European Time"
# psql -U engine -c " SELECT * from vdc_options where option_name like 'Default%TimeZone';"
Password for user engine: 
 option_id |      option_name       |     option_value      | version 
-----------+------------------------+-----------------------+---------
        44 | DefaultWindowsTimeZone | Central European Time | general
        45 | DefaultGeneralTimeZone | Central European Time | general

In this case both VMs windows & non-windows VMs gives 'default:null' in new
VM option .



So my query is , Is this bugzilla for the same issue ? or
should I open a new bugzilla ?

Thanks,
Regards,
Jaison R

Comment 6 Martin Betak 2013-10-15 13:05:14 UTC
Hi Jaison,

in rhevm-config we store timezones separately for windows and non-windows systems because windows uses different format than the standardized rest of the world :-)
In your case you should do
# rhevm-config -s DefaultWindowsTimeZone="Israel Standard Time"
# rhevm-config -s DefaultGeneralTimeZone="Asia/Jerusalem"

What we are missing right now is the validation of entered timezones; that is why you see default: null - an incorrect timezone was set via rhevm-config. You should not be even able to set "Israel Standard Time" to DefaultGeneralTimeZone. Please feel free to open a bug for that.

Best Regards

Martin

Comment 7 Charlie 2013-11-28 00:11:04 UTC
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.

Comment 8 errata-xmlrpc 2014-01-21 17:27:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html


Note You need to log in before you can comment on or make changes to this bug.